"use strict";

const {
  convertCode
} = require('../utilities');

test('optional-catch-binding', () => {
  const inputCode = `try {
  throw 0;
} catch {
  doSomethingWhichDoesNotCareAboutTheValueThrown();
} finally {
  doSomeCleanup();
}`;
  const outputCode = `try {
  throw 0;
} catch {
  doSomethingWhichDoesNotCareAboutTheValueThrown();
} finally {
  doSomeCleanup();
}`;
  expect(convertCode(inputCode)).toBe(outputCode);
});